import unittest

from .date import Date


class DateValidatorTest(unittest.TestCase):
    def test_valid_dates(self) -> None:
        self.assertTrue(Date.validate("2021-01-1"))
        self.assertTrue(Date.validate("2021-01-1"))
        self.assertTrue(Date.validate("2021.01.1"))
        self.assertTrue(Date.validate("07 jan 2021"))
        self.assertTrue(Date.validate("16/09-2020"))

    def test_invalid_dates(self) -> None:
        self.assertFalse(Date.validate("20211"))
        self.assertFalse(Date.validate("2021-01-0"))
